=== modified file 'lib/lp/registry/javascript/structural-subscription.js'
--- lib/lp/registry/javascript/structural-subscription.js	2011-05-04 05:02:39 +0000
+++ lib/lp/registry/javascript/structural-subscription.js	2011-05-05 20:11:00 +0000
@@ -454,15 +454,24 @@
 function make_selector_controls(parent) {
     var selectors_id = parent + '-selectors';
     var rv = {};
-    rv.all_link = Y.Node.create(
-        '<a href="#" class="select-all">Select all</a>');
-    rv.none_link = Y.Node.create(
-        '<a href="#" class="select-none">Select none</a>');
-    rv.node = Y.Node.create(
-            '<div style="margin-left: 10px;margin-bottom: 10px"></div>')
+    rv.all_link = Y.Node.create('<a/>')
+        .set('href', '#')
+        .set('text', 'Select all')
+        .addClass('select-all');
+    rv.none_link = Y.Node.create('<a/>')
+        .set('href', '#')
+        .set('text', 'Select none')
+        .addClass('select-none');
+    rv.node = Y.Node.create('<div/>')
         .set('id', selectors_id)
+        .setStyle('marginBottom', '1ex')
+        .setStyle('marginLeft', '1ex')
         .append(rv.all_link)
-        .append(' &nbsp; ')
+        .append(Y.Node.create('<span/>')
+            .set('text', 'or')
+            // Why different margins?  Manual kerning.
+            .setStyle('marginLeft', '0.9ex')
+            .setStyle('marginRight', '0.7ex'))
         .append(rv.none_link);
 
     return rv;

